#ifndef FLYMIMETYPEICONPROVIDER_H
#define FLYMIMETYPEICONPROVIDER_H

#include <QString>
#include <QFileIconProvider>

#include <fly/flyui_export.h>

class FLYUI_EXPORT FlyMimeTypeIconProvider : public QFileIconProvider
{
public:
    FlyMimeTypeIconProvider();
    ~FlyMimeTypeIconProvider();

    QIcon icon(IconType type) const override;
    QIcon icon(const QFileInfo &info) const override;
    QString type(const QFileInfo &info) const override;

private:
    QIcon m_fallbackFolderIcon;
    QIcon m_fallbackFileIcon;
    QIcon m_separatorIcon;
};

#endif
